Debian DLA-3190-1: grub2 - LTS のセキュリティ更新

high Nessus プラグイン ID 167748

概要

リモートの Debian ホストにセキュリティ関連の更新プログラムがありません。

説明

リモートの Debian 10 ホストには、dla-3190 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- grub2: grub_font_construct_glyph() のバッファオーバーフローにより、領域外書き込みおよび安全なブートバイパスが発生する可能性があります (CVE-2022-2601)

- grub2: 特定の unicode シーケンスをレンダリングする際のヒープベースの領域外書き込み (CVE-2022-3775)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

grub2パッケージをアップグレードしてください。

Debian 10 buster では、これらの問題はバージョン 2.06-3~deb10u2 で修正されています。

関連情報

https://security-tracker.debian.org/tracker/source-package/grub2

https://www.debian.org/lts/security/2022/dla-3190

https://security-tracker.debian.org/tracker/CVE-2022-2601

https://security-tracker.debian.org/tracker/CVE-2022-3775

https://packages.debian.org/source/buster/grub2

プラグインの詳細

深刻度: High

ID: 167748

ファイル名: debian_DLA-3190.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2022/11/16

更新日: 2022/12/19

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.3

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.3

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-2601

CVSS v3

リスクファクター: High

Base Score: 8.6

Temporal Score: 7.5

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:grub-common, p-cpe:/a:debian:debian_linux:grub-coreboot, p-cpe:/a:debian:debian_linux:grub-coreboot-bin, p-cpe:/a:debian:debian_linux:grub-coreboot-dbg, p-cpe:/a:debian:debian_linux:grub-efi, p-cpe:/a:debian:debian_linux:grub-efi-amd64, p-cpe:/a:debian:debian_linux:grub-efi-amd64-bin, p-cpe:/a:debian:debian_linux:grub-efi-amd64-dbg, p-cpe:/a:debian:debian_linux:grub-efi-amd64-signed-template, p-cpe:/a:debian:debian_linux:grub-efi-arm, p-cpe:/a:debian:debian_linux:grub-efi-arm-bin, p-cpe:/a:debian:debian_linux:grub-efi-arm-dbg, p-cpe:/a:debian:debian_linux:grub-efi-arm64, p-cpe:/a:debian:debian_linux:grub-efi-arm64-bin, p-cpe:/a:debian:debian_linux:grub-efi-arm64-dbg, p-cpe:/a:debian:debian_linux:grub-efi-arm64-signed-template, p-cpe:/a:debian:debian_linux:grub-efi-ia32, p-cpe:/a:debian:debian_linux:grub-efi-ia32-bin, p-cpe:/a:debian:debian_linux:grub-efi-ia32-dbg, p-cpe:/a:debian:debian_linux:grub-efi-ia32-signed-template, p-cpe:/a:debian:debian_linux:grub-emu, p-cpe:/a:debian:debian_linux:grub-emu-dbg, p-cpe:/a:debian:debian_linux:grub-firmware-qemu, p-cpe:/a:debian:debian_linux:grub-ieee1275, p-cpe:/a:debian:debian_linux:grub-ieee1275-bin, p-cpe:/a:debian:debian_linux:grub-ieee1275-dbg, p-cpe:/a:debian:debian_linux:grub-linuxbios, p-cpe:/a:debian:debian_linux:grub-pc, p-cpe:/a:debian:debian_linux:grub-pc-bin, p-cpe:/a:debian:debian_linux:grub-pc-dbg, p-cpe:/a:debian:debian_linux:grub-rescue-pc, p-cpe:/a:debian:debian_linux:grub-theme-starfield, p-cpe:/a:debian:debian_linux:grub-uboot, p-cpe:/a:debian:debian_linux:grub-uboot-bin, p-cpe:/a:debian:debian_linux:grub-uboot-dbg, p-cpe:/a:debian:debian_linux:grub-xen, p-cpe:/a:debian:debian_linux:grub-xen-bin, p-cpe:/a:debian:debian_linux:grub-xen-dbg, p-cpe:/a:debian:debian_linux:grub-xen-host, p-cpe:/a:debian:debian_linux:grub2, p-cpe:/a:debian:debian_linux:grub2-common, cpe:/o:debian:debian_linux:10.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/16

脆弱性公開日: 2022/11/16

参照情報

CVE: CVE-2022-2601, CVE-2022-3775